Overview

Advisory: `pe-java` Was Not Updated on the Console Node on Split Upgrades

  • Posted August 6, 2015

  • Assessed Risk Level: Medium

In "split" configurations (where the Master, console, and PuppetDB are installed on separate nodes), upgrades of Puppet Enterprise did not upgrade pe-java on the console node.

Users with this configuration should upgrade to Puppet Enterprise 3.8.2. Users who are unable to upgrade to Puppet Enterprise 3.8.2 should manually upgrade 'pe-java' on the console node.

Status:

Affected Software Versions:

  • Puppet Enterprise 3.7.x and 3.8.x

Resolved in:

  • Puppet Enterprise 3.8.2